<?php

error_reporting(E_ALL);

ob_start();

if (!(isset($_SERVER['HTTP_USER_AGENT']))) {
	die("This website is only supported by Netscape Navigator");
}

if ( (strpos($_SERVER['HTTP_USER_AGENT'], "Netscape/") === false) &&
     (strpos($_SERVER['HTTP_USER_AGENT'], "Navigator/") === false) ) {
	die("This website is only supported by Netscape Navigator");
}

date_default_timezone_set('Europe/Brussels');

session_save_path("/sessions");
session_start();

if (!isset($_SESSION["code"])) {
$code = '
<?php
header("X-Flag: " . "IG{1-IchBinKeinNetScapeNavigator}");
?>
<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
	<p>Hello Beautiful World!</p>
	<hr>
	<p><small><i>Page generated at <?php echo(date("Y/m/d h:i:sa")); ?></i></small></p>
</body>
</html>
';
$_SESSION["code"] = $code;
}

$code = $_SESSION["code"];
